forum.coppermine-gallery.net

Support => cpg1.5.x Support => cpg1.5 upgrading => Topic started by: MIchelleMSource.com on July 03, 2010, 07:46:11 pm

Title: PHP Config Error
Post by: MIchelleMSource.com on July 03, 2010, 07:46:11 pm
http://www.michellemsource.com/photos/index.php
Yesterday I was uploading images this is what my gallery is currently saying!
whoever helps me out I'll U2U you my Log In Info to fix the PHP Error
I'm hosted On HostMonster,com anyways!
I'm Jeff and I Own MichelleMSource.com to let you know! :D
Title: Re: PHP Config Error
Post by: onthepike on July 03, 2010, 08:02:03 pm
http://www.michellemsource.com/photos/index.php
Yesterday I was uploading images this is what my gallery is currently saying!

It's saying:
Code: [Select]
Fatal error: require() [function.require]: Failed opening required 'include/media.functions.inc.php' (include_path='.:/usr/lib64/php:/usr/lib/php') in /home2/michelt4/public_html/photos/include/init.inc.php  on line 235
whoever helps me out I'll U2U you my Log In Info to fix the PHP Error

Nobody wants your login information (at this point, anyway).

You seem to have a corrupt update, as you have a plethora of 1.4.x files strewn about within your 1.5.6 gallery. Please update according to the update instructions (http://www.michellemsource.com/photos/docs/en/upgrading.htm) contained within your documentation.

Backup your anycontent.php and /include/config.inc.php files as well as your /albums/ directory and then ensure your FTP client overwrites existing files (other than these).
Title: Re: PHP Config Error
Post by: Αndré on July 05, 2010, 02:21:40 pm
Code: [Select]
Failed opening required 'include/media.functions.inc.php'
Such a file doesn't exists in the cpg1.5.x package.

Code: [Select]
include/init.inc.php  on line 235
On line 235 I find this piece of code:
Code: [Select]
} else {
Seems to be an auto installer or something similar, but everything else than the official cpg1.5.x package.
Title: Re: PHP Config Error
Post by: Joachim Müller on July 05, 2010, 07:25:12 pm
include/media.functions.inc.php is a remainder of cpg1.4.x - onthepike already reported the crude mixture of cpg1.4.x and cpg1.5.x files on that webspace. I'm pretty sure that it's either an auto-installer doing what it's notorious for: doing a bad job upgrading the gallery. If it's not an auto-installer, then our friend Jeff "MIchelleMSource.com" probably hasn't been paying attention to enable the option in his FTP app to replace existing files with fresh ones.

Recommendation (@Jeff): upgrade as suggested in our docs. Pay particular attention to overwrite the files on your server with the fresh ones from the cpg1.5.x package.
Title: Re: PHP Config Error
Post by: Phill Luckhurst on July 05, 2010, 08:27:26 pm
The message at the bottom of the page gives it away and points to - http://www.simplescripts.com/script_details/script:Coppermine

I am far from fond of any auto installer but this one takes the biscuit. When you sign up for an account (I used a dummy mailinator email addy) they ask for so much information it is unreal. This includes all your ftp login details, MySql logons and in some cases for some unknown reason your cpanel/plesk login. .I would never give those details out and I recommend you don't either. How secure is their setup? Do you trust them? Do you want them to have full access to your setup given the security risk? I'm certain the script will then use some crappy web based ftp script to install any of the many listed softwares and I am 100% certain it will rarely do it properly.
Title: Re: PHP Config Error
Post by: Joachim Müller on July 05, 2010, 10:31:49 pm
Maybe we have another case for the "sad story" section on the auto-installer page of the docs: http://documentation.coppermine-gallery.net/en/auto-installers.htm#sad_story